%%% $Id: trale_patches.pl,v 1.32 2005/02/13 10:33:00 stefan Exp $
%
% Hook predicates defined in trale.pl or ale.pl for the GUI
%
% -----------------------------------------------------------------

% GBP - cleaned this file up by using a more principled set of hooks.

:- multifile compile_sig_hook/0.
compile_sig_hook :- process_feature_output.

:- multifile abolish_user_preds/1.
abolish_user_preds(sig) :-  % GBP - this was being implemented as an 'all' abolish
  abolish_gramint_preds.    %  before, but it looks like a 'sig' abolish, too.
abolish_user_preds(grammar) :-
  reconsult(trale_home(grale_forall)).
abolish_user_preds(all) :-
  abolish_gramint_preds,
  reconsult(trale_home(grale_forall)).

abolish_gramint_preds :-  % GBP - at least, I think this is for grammar_interface.pl
  clear_feature_output,	% initialize feature_ordering.pl preds
  abolish(dtrs_feat/1),
  abolish(phon_feat/1),
  abolish(list_type/1),
  abolish(ne_list_type/1),
  abolish(hd_feat/1),
  abolish(tl_feat/1).

:- multifile clear_hook/0.
clear_hook :- retractall(grale_psrule_varlink(_,_,_)).
